Index
=====
Welcome to the LWAC user guide.  The purpose of this document is to explain some of the design concepts used, provide recipes for common tasks, and explain some of the technical capacities/limitations of LWAC.

Installation and Dependencies
-----------------------------
LWAC's dependencies and installation are documented [here](install.html)

Concepts
--------
The [concepts](concepts.html) used in the model are explained here.

Tools
-----
LWAC consists of a number of [tools](tools.html), and these are explained individually here.

Workflows
---------
LWAC's [workflow](workflows.html) was designed around longitudinal sampling.  Some common methods are explained here.

Process Monitoring
------------------
LWAC is designed for longitudinal sampling, and as such a process monitor is a good idea to ensure that you are notified in case of any problems. [Monitoring and maintenance](monitoring.html) has its own section.

Limits and Performance
----------------------
See some rough indications on what [limits LWAC's performance](limits.html)

Bugs and Suggestions
--------------------
Please get in touch by reporting bugs to [my issue tracker](http://stephenwattam.com/issues/), or [email me](http://stephenwattam.com/contact/).  Please do this if you notice something---I relish the opportunity to fix it.

If you can write code, feel free to submit a patch or contact me for your own branch in the git repository.  There's a space in the authors listing for your name :-)

License and Usage Conditions
----------------------------
LWAC is licensed under a [Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License](http://creativecommons.org/licenses/by-nc-sa/3.0/), a copy of which may be found in the `LICENSE` file in the root of the distribution.

In addition to the creative commons terms above, I wish to mandate the following conditions: You must...

 * Not profit from directly selling the code (including as part of something else);
 * Not profit from selling corpora built using LWAC.  (Note that I will probably grant permission if contacted, I merely wish to stop people turning it into a commercial service);
 * Credit LWAC and provide a link to [http://stephenwattam.com/project/LWAC/](http://stephenwattam.com/project/LWAC/) or [ucrel.lancs.ac.uk/LWAC/](http://ucrel.lancs.ac.uk/LWAC/) in any publications (You can also cite the paper pending for WaC8, once it's published);
 * Not use it to DDOS things.

Other than that, knock yourself out.  The code's fairly clean, and fairly well documented.

It's worth noting here that the data you download from the web is probably copyright to some third party who wouldn't necessarily consent to its distribution.  Laws on the use of web data vary wildly and are a grey area in many juristrictions, so _caveat emptor_ (or _caveat corpus aedificator_).

